KYUA-PLAIN-TESTER(1)

NAME
kyua-plain-tester - Scriptable interface to interact with plain test programs

SYNOPSIS
kyua-plain-tester [generic_flags] subcommand [subcommand_flags] [subcommand_args]

DESCRIPTION
kyua-plain-tester provides a scriptable interface to interact with test programs that implement the kyua-plain-interface(7) test interface. This manual page describes the specific features that apply to this specific tester. For the generic manual page, which describes the command-line interface in detail, please see kyua-tester(1).

  Test cases list
A test program that follows the plain interface can only have a single test case. Due to this, the output of the ‘list’ subcommand of kyua-plain-tester will always result in one single test case. This test case represents the whole test program.

SEE ALSO
kyua-tester(1), kyua-plain-interface(7)